• Advisory ID: DRUPAL-SA-CONTRIB-2014-017
  • Project: Image Resize Filter (third-party module)
  • Version: 6.x, 7.x
  • Date: 2014-February-12
  • Security risk: Moderately critical
  • Exploitable from: Remote
  • Vulnerability: Denial of Service (DOS)


This module enables you to resize images based on the HTML contents of a post. Images with specified height and width properties that differ from the original image result in a resized image being created.

The module doesn't limit the number of resized images per post or user, which could allow a user to post a large number of images that need to be resized within a single piece of content. This could cause the server to become overwhelmed by requests to resize images.

This vulnerability is mitigated by the fact that an attacker must have a role that allows them to post content that utilizes the image resize filter.

CVE identifier(s) issued

  • A CVE identifier will be requested, and added upon issuance, in accordance with Drupal Security Team processes.

Versions affected

  • Image Resize Filter 6.x-1.x versions prior to 6.x-1.14.
  • Image Resize Filter 7.x-1.x versions prior to 7.x-1.14.

Drupal core is not affected. If you do not use the contributed Image Resize Filter module, there is nothing you need to do.


Install the latest version:

Also see the Image Resize Filter project page.

Reported by

Fixed by

Coordinated by

Contact and More Information

The Drupal security team can be reached at security at drupal.org or via the contact form at http://drupal.org/contact.

Learn more about the Drupal Security team and their policies, writing secure code for Drupal, and securing your site.

Follow the Drupal Security Team on Twitter at https://twitter.com/drupalsecurity